<?php
	require_once("config/connect.php");
	require_once("config/pageConfig.php");
	require_once("global_functions.php");
	require_once("export_import/csb.php");
	
	ini_set('max_execution_time',0);

	// CSB hat keine Tischbreite - hier kann die Breite und Hoehe für alle Tische gesetzt werden
	define('TISCH_BREITE','80');
	define('TISCH_HOEHE', '70');
	
	function translate_csb_zahlung_to_sitpos($zahlart)
	{
		$return=false;
		switch ($zahlart)
		{
		case "cash":
			$return='Bar';
			break;
		case "cashin":
			$return='Bar Einzahlung';
			break;
		case "cashout":
			$return='Bar Auszahlung';
			break;
		case "magcard":
			$return='Bankomat';
			break;
		case "paylife":
			$return='Bankomat';
			break;
		case "cashrefund":
			$return='Bar';
			break;
		//case "free":
		//	$return='Bar';
		//	break;
		case "magcardrefund":
			$return='Bankomat';
			break;
		case "paperin":
			$return='Gutschein Einlösung'; // ID 2213 von C..
			break;
		case "paperout":
			$return='Gutschein Ausgabe'; // ID 2213 von C..
			break;
				
		default:
			$return=false;
			echo "Unbekannte Zahlungsart von CSB $zahlart \n";
			exit(1);
		}
		return ($return);
	}
	

	$sql="DELETE FROM dep WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM abgeschlossener_bon WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM abschluss_belege WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM abgeschlossener_bon_produkte WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM abgeschlossener_bon_steuern WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM kassa_abschluesse WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM abgeschlossener_bon_zahlung WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM benutzer WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM kunden WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM raum WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM tische WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM categories WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM products WHERE 1";
					mysql_query($sql);
	$sql="DELETE FROM taxes WHERE 1";
					mysql_query($sql);
	
	echo "<pre>";

	
	import_csb_komplett("uploads/csb.sql");
	echo "</pre>";
	
	?>


